﻿using DevExpress.Diagram.Core.Layout;
using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.diagramControl.OptionsView.ShowGrid                    = false;
            this.diagramControl.OptionsView.ShowRulers                  = false;
            this.diagramControl.OptionsView.ShowPageBreaks              = false;
            this.diagramControl.OptionsOrgChartLayout.TreeLevelCount    = 4;
            this.diagramControl.OptionsOrgChartLayout.TipOverOffsetMode = TipOverOffsetMode.Edge;

            this.diagramControl.ApplyOrgChartLayout();

            this.diagramControl.FitToDrawing();
        }

        #endregion
    }
}